Bug 1250725 - Deployment shows 100% for all sub-tasks but never finishes
Deployment shows 100% for all sub-tasks but never finishes
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHCI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: beta
: 1.0
Assigned To: jmagen@redhat.com
Thom Carlin
Dan Macpherson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 16:29 EDT by Thom Carlin
Modified: 2016-04-29 12:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-08-05 16:29:15 EDT
Description of problem:

Deployment of RHEV/CloudForms appears to finish but UI seems stuck on "Deploying..."

Version-Release number of selected component (if applicable):

This install was completed from an ISO with the Media ID 1438723852.201001 at 09:30:52 PM on 04 Aug 2015.

How reproducible:

100%

Steps to Reproduce:
1. Component install of Hypervisor, RHEV, and CloudForms
2. wait for completion (100% in each progress bar)
3.

Actual results:

Progress bars show 100%, never gets past Deploying

Expected results:

Completed deployment

Additional info:

Details tab shows 100% for all tasks.
Comment 2 John Matthews 2015-08-17 18:53:56 EDT
The behavior I have seen with this issue is that the "Next" button is not enabled automatically.  I have allowed a deployment to succeed and allowed the page to remain in step 5B for hours after the deployment has finished (allowed to run over night and wait, so ~12+ hours of waiting).

The "Next" button did not appear automatically, I had to issue a refresh of the page, then I saw the "Next" button.

Further, when I see this problem and I click on Details I see that the parent deploy task reports it is 0% complete.  This is not true, the deploy task has completed and is 100% but the UI is not aware of that and UI reports it 0%.  

When I refresh the page the UI updates correctly.
 Next button is enabled
 Click on Details now shows the parent deploy task is correctly 100%.
 



To be clear, this issue is _not_ about a pause of several minutes in between when the 3 progress bars complete to 100% and the parent task hasn't yet completed.  

The issue we are seeing is that the parent deploy task has completed successfully, but the UI isn't aware of that and remains with 0% until a page refresh is issued.
Comment 3 jmagen@redhat.com 2015-08-20 11:14:46 EDT
fixed and merged.
Comment 4 John Matthews 2015-08-21 15:58:44 EDT
I saw this work in:
RHCI-6.0-RHEL-7-20150821.0-RHCI-x86_64-dvd1.iso
Comment 5 Thom Carlin 2015-08-24 17:45:42 EDT
Verified in tech preview rc-2

Note You need to log in before you can comment on or make changes to this bug.